summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-08-20 13:51:56 +0200
committerJustin Lecher <jlec@gentoo.org>2015-08-20 14:22:58 +0200
commitcfba147f6b983843477064d34c334b968c576469 (patch)
tree8889c033100eb8ad5e14ca0fc43d165dc5ec6fb3 /app-shells
parentapp-text/aspell: Set correct subslot dependency for ncurses (diff)
downloadgentoo-cfba147f6b983843477064d34c334b968c576469.tar.gz
gentoo-cfba147f6b983843477064d34c334b968c576469.tar.bz2
gentoo-cfba147f6b983843477064d34c334b968c576469.zip
app-shells/tcsh: Bump to EAPI=5 and use subslot deps for ncurses
* drop die from econf Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'app-shells')
-rw-r--r--app-shells/tcsh/tcsh-6.17-r1.ebuild3
-rw-r--r--app-shells/tcsh/tcsh-6.17.06.ebuild3
-rw-r--r--app-shells/tcsh/tcsh-6.18.01-r2.ebuild3
-rw-r--r--app-shells/tcsh/tcsh-6.18.01-r3.ebuild3
-rw-r--r--app-shells/tcsh/tcsh-6.18.01-r4.ebuild107
-rw-r--r--app-shells/tcsh/tcsh-6.18.01.ebuild3
6 files changed, 112 insertions, 10 deletions
diff --git a/app-shells/tcsh/tcsh-6.17-r1.ebuild b/app-shells/tcsh/tcsh-6.17-r1.ebuild
index cb515e8503e..64ec5fe0e9d 100644
--- a/app-shells/tcsh/tcsh-6.17-r1.ebuild
+++ b/app-shells/tcsh/tcsh-6.17-r1.ebuild
@@ -70,8 +70,7 @@ src_configure() {
econf \
--prefix="${EPREFIX:-/}" \
- --datarootdir='${prefix}/usr/share' \
- || die
+ --datarootdir='${prefix}/usr/share'
}
src_install() {
diff --git a/app-shells/tcsh/tcsh-6.17.06.ebuild b/app-shells/tcsh/tcsh-6.17.06.ebuild
index f0378a86b07..34886ee2dbc 100644
--- a/app-shells/tcsh/tcsh-6.17.06.ebuild
+++ b/app-shells/tcsh/tcsh-6.17.06.ebuild
@@ -66,8 +66,7 @@ src_configure() {
econf \
--prefix="${EPREFIX:-/}" \
--datarootdir='${prefix}/usr/share' \
- $(use_enable nls) \
- || die
+ $(use_enable nls)
}
src_install() {
diff --git a/app-shells/tcsh/tcsh-6.18.01-r2.ebuild b/app-shells/tcsh/tcsh-6.18.01-r2.ebuild
index 3dc6ead2c59..8fc7f32a342 100644
--- a/app-shells/tcsh/tcsh-6.18.01-r2.ebuild
+++ b/app-shells/tcsh/tcsh-6.18.01-r2.ebuild
@@ -76,8 +76,7 @@ src_configure() {
econf \
--prefix="${EPREFIX:-/}" \
--datarootdir='${prefix}/usr/share' \
- $(use_enable nls) \
- || die
+ $(use_enable nls)
}
src_install() {
diff --git a/app-shells/tcsh/tcsh-6.18.01-r3.ebuild b/app-shells/tcsh/tcsh-6.18.01-r3.ebuild
index 31db28723a0..791d7c1da6d 100644
--- a/app-shells/tcsh/tcsh-6.18.01-r3.ebuild
+++ b/app-shells/tcsh/tcsh-6.18.01-r3.ebuild
@@ -77,8 +77,7 @@ src_configure() {
econf \
--prefix="${EPREFIX:-/}" \
--datarootdir='${prefix}/usr/share' \
- $(use_enable nls) \
- || die
+ $(use_enable nls)
}
src_install() {
diff --git a/app-shells/tcsh/tcsh-6.18.01-r4.ebuild b/app-shells/tcsh/tcsh-6.18.01-r4.ebuild
new file mode 100644
index 00000000000..42d2ba1dd54
--- /dev/null
+++ b/app-shells/tcsh/tcsh-6.18.01-r4.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils flag-o-matic autotools prefix
+
+CONFVER="1.9"
+
+DESCRIPTION="Enhanced version of the Berkeley C shell (csh)"
+HOMEPAGE="http://www.tcsh.org/"
+SRC_URI="
+ ftp://ftp.astron.com/pub/tcsh/${P}.tar.gz
+ http://www.gentoo.org/~grobian/distfiles/tcsh-gentoo-patches-r${CONFVER}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls doc"
+RESTRICT="test"
+
+# we need gettext because we run autoconf (AM_ICONV)
+RDEPEND="
+ >=sys-libs/ncurses-5.1:5=
+ virtual/libiconv"
+DEPEND="${RDEPEND}
+ sys-devel/gettext
+ doc? ( dev-lang/perl )"
+
+CONFDIR=${WORKDIR}/tcsh-gentoo-patches-r${CONFVER}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.14.00-debian-dircolors.patch # bug #120792
+ "${FILESDIR}"/${PN}-6.14-makefile.patch # bug #151951
+ "${FILESDIR}"/${PN}-6.14-use-ncurses.patch
+ "${FILESDIR}"/${PN}-6.18.01-aix.patch
+ "${FILESDIR}"/${PN}-6.18.01-gcc5.patch
+)
+
+src_prepare() {
+ epatch "${PATCHES[@]}"
+
+ # fix dependency on ncurses[tinfo], #459484
+ sed \
+ -e "s:\(ncurses\):\1 tinfo:g" \
+ -i configure.in || die
+
+ eautoreconf
+
+ # fix gencat usage
+ sed \
+ -e 's/cat \$\^ \$> | \$(GENCAT) \$@/rm -f $@; $(GENCAT) $@ $> $^/' \
+ -i nls/Makefile.in || die
+
+ # use sysmalloc (for larger alloc sets) on Darwin also
+ sed -i -e 's/__MACHTEN__/__MACH__/' config_f.h || die
+
+ # unify ECHO behaviour
+ echo "#undef ECHO_STYLE" >> config_f.h
+ echo "#define ECHO_STYLE BOTH_ECHO" >> config_f.h
+
+ eprefixify "${CONFDIR}"/*
+ # activate the right default PATH
+ if [[ -z ${EPREFIX} ]] ; then
+ sed -i \
+ -e 's/^#MAIN//' -e '/^#PREFIX/d' \
+ "${CONFDIR}"/csh.login || die
+ else
+ sed -i \
+ -e 's/^#PREFIX//' -e '/^#MAIN/d' \
+ "${CONFDIR}"/csh.login || die
+ fi
+}
+
+src_configure() {
+ # make tcsh look and live along the lines of the prefix
+ append-cppflags -D_PATH_DOTCSHRC="'"'"${EPREFIX}/etc/csh.cshrc"'"'"
+ append-cppflags -D_PATH_DOTLOGIN="'"'"${EPREFIX}/etc/csh.login"'"'"
+ append-cppflags -D_PATH_DOTLOGOUT="'"'"${EPREFIX}/etc/csh.logout"'"'"
+ append-cppflags -D_PATH_USRBIN="'"'"${EPREFIX}/usr/bin"'"'"
+ append-cppflags -D_PATH_BIN="'"'"${EPREFIX}/bin"'"'"
+
+ econf \
+ --prefix="${EPREFIX:-/}" \
+ --datarootdir='${prefix}/usr/share' \
+ $(use_enable nls)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install install.man
+
+ DOCS=( FAQ Fixes NewThings Ported README WishList Y2K )
+ if use doc ; then
+ perl tcsh.man2html tcsh.man || die
+ HTML_DOCS=( tcsh.html/*.html )
+ fi
+ einstalldocs
+
+ insinto /etc
+ doins \
+ "${CONFDIR}"/csh.cshrc \
+ "${CONFDIR}"/csh.login
+
+ # bug #119703: add csh -> tcsh symlink
+ dosym /bin/tcsh /bin/csh
+}
diff --git a/app-shells/tcsh/tcsh-6.18.01.ebuild b/app-shells/tcsh/tcsh-6.18.01.ebuild
index 8e010a492da..f08276c59b2 100644
--- a/app-shells/tcsh/tcsh-6.18.01.ebuild
+++ b/app-shells/tcsh/tcsh-6.18.01.ebuild
@@ -66,8 +66,7 @@ src_configure() {
econf \
--prefix="${EPREFIX:-/}" \
--datarootdir='${prefix}/usr/share' \
- $(use_enable nls) \
- || die
+ $(use_enable nls)
}
src_install() {